Index: tests/regression/Fragmentation/Automation/testsuite-fragmentation-automation-completerun.at
===================================================================
--- tests/regression/Fragmentation/Automation/testsuite-fragmentation-automation-completerun.at	(revision af9b9fff30a59d026e6a6f323b457bfda82ed6df)
+++ tests/regression/Fragmentation/Automation/testsuite-fragmentation-automation-completerun.at	(revision 9dcce34bb40a82c811dead7c3f0fad21f1fffb01)
@@ -10,22 +10,22 @@
 
 # start service in background
-${AUTOTEST_PATH}/Fragmentation/Automation/Server --workerport $WORKERPORT --controllerport $CONTROLLERPORT &
+${AUTOTEST_PATH}/Server --workerport $WORKERPORT --controllerport $CONTROLLERPORT &
 server_pid=$!
 AT_CHECK([sleep 1], 0, [ignore], [ignore], [kill $server_pid])
 
 # add two jobs via JobAdder
-AT_CHECK([${AUTOTEST_PATH}/Fragmentation/Automation/Controller --server 127.0.0.1:$CONTROLLERPORT --command createjobs --executable "cat" --jobcommand "Nothing"], 0, [stdout], [ignore], [kill $server_pid])
+AT_CHECK([${AUTOTEST_PATH}/Controller --server 127.0.0.1:$CONTROLLERPORT --command createjobs --executable "cat" --jobcommand "Nothing"], 0, [stdout], [ignore], [kill $server_pid])
 AT_CHECK([fgrep "Sending 1 jobs ..." stdout], 0, [ignore], [ignore], [kill $server_pid])
-AT_CHECK([${AUTOTEST_PATH}/Fragmentation/Automation/Controller --server 127.0.0.1:$CONTROLLERPORT --command createjobs --executable "cat" --jobcommand "Nothing"], 0, [stdout], [ignore], [kill $server_pid])
+AT_CHECK([${AUTOTEST_PATH}/Controller --server 127.0.0.1:$CONTROLLERPORT --command createjobs --executable "cat" --jobcommand "Nothing"], 0, [stdout], [ignore], [kill $server_pid])
 AT_CHECK([fgrep "Sending 1 jobs ..." stdout], 0, [ignore], [ignore], [kill $server_pid])
-AT_CHECK([${AUTOTEST_PATH}/Fragmentation/Automation/Controller --server 127.0.0.1:$CONTROLLERPORT --command createjobs --executable "cat" --jobcommand "Nothing"], 0, [stdout], [ignore], [kill $server_pid])
+AT_CHECK([${AUTOTEST_PATH}/Controller --server 127.0.0.1:$CONTROLLERPORT --command createjobs --executable "cat" --jobcommand "Nothing"], 0, [stdout], [ignore], [kill $server_pid])
 AT_CHECK([fgrep "Sending 1 jobs ..." stdout], 0, [ignore], [ignore], [kill $server_pid])
 
 # Checking results
-AT_CHECK([${AUTOTEST_PATH}/Fragmentation/Automation/Controller --server 127.0.0.1:$CONTROLLERPORT --command checkresults], 0, [stdout], [ignore], [kill $server_pid])
+AT_CHECK([${AUTOTEST_PATH}/Controller --server 127.0.0.1:$CONTROLLERPORT --command checkresults], 0, [stdout], [ignore], [kill $server_pid])
 AT_CHECK([fgrep "#3 are waiting in the queue and #0 jobs are calculated so far." stdout], 0, [ignore], [ignore], [kill $server_pid])
 
 # enlist a worker to work on jobs
-${AUTOTEST_PATH}/Fragmentation/Automation/PoolWorker -v 5 --signal 2 --server 127.0.0.1:${WORKERPORT} --hostname 127.0.0.1 --listen $WORKERLISTENPORT &
+${AUTOTEST_PATH}/PoolWorker -v 5 --signal 2 --server 127.0.0.1:${WORKERPORT} --hostname 127.0.0.1 --listen $WORKERLISTENPORT &
 worker_pid=$!
 AT_CHECK([sleep 2], 0, [ignore], [ignore], [kill $server_pid $worker_pid])
@@ -35,9 +35,9 @@
 
 # Checking results
-AT_CHECK([${AUTOTEST_PATH}/Fragmentation/Automation/Controller --server 127.0.0.1:$CONTROLLERPORT --command checkresults], 0, [stdout], [ignore], [kill $server_pid $worker_pid])
+AT_CHECK([${AUTOTEST_PATH}/Controller --server 127.0.0.1:$CONTROLLERPORT --command checkresults], 0, [stdout], [ignore], [kill $server_pid $worker_pid])
 AT_CHECK([fgrep "#0 are waiting in the queue and #3 jobs are calculated so far." stdout], 0, [ignore], [ignore], [kill $server_pid $worker_pid])
 
 # get results
-AT_CHECK([${AUTOTEST_PATH}/Fragmentation/Automation/Controller --server 127.0.0.1:$CONTROLLERPORT --command receiveresults], 0, [stdout], [ignore], [kill $server_pid $worker_pid])
+AT_CHECK([${AUTOTEST_PATH}/Controller --server 127.0.0.1:$CONTROLLERPORT --command receiveresults], 0, [stdout], [ignore], [kill $server_pid $worker_pid])
 AT_CHECK([fgrep "Received 3 results" stdout], 0, [ignore], [ignore], [kill $server_pid $worker_pid])
 AT_CHECK([fgrep -c "Nothing" stdout], 0, [stdout], [ignore], [kill $server_pid $worker_pid])
@@ -45,9 +45,9 @@
 
 # get no more results
-AT_CHECK([${AUTOTEST_PATH}/Fragmentation/Automation/Controller --server 127.0.0.1:$CONTROLLERPORT --command receiveresults], 0, [stdout], [ignore], [kill $server_pid $worker_pid])
+AT_CHECK([${AUTOTEST_PATH}/Controller --server 127.0.0.1:$CONTROLLERPORT --command receiveresults], 0, [stdout], [ignore], [kill $server_pid $worker_pid])
 AT_CHECK([grep "Nothing" stdout], 1, [ignore], [ignore], [kill $server_pid $worker_pid])
 
 # shutdown
-AT_CHECK([${AUTOTEST_PATH}/Fragmentation/Automation/Controller --server 127.0.0.1:$CONTROLLERPORT --command shutdown], 0, [stdout], [ignore], [kill $server_pid $worker_pid])
+AT_CHECK([${AUTOTEST_PATH}/Controller --server 127.0.0.1:$CONTROLLERPORT --command shutdown], 0, [stdout], [ignore], [kill $server_pid $worker_pid])
 
 # check that server is truely down
